%global commit 2047d134262b4e9e3514718edc01c27b0ed86352
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global checkout .20160527git%{shortcommit}

Summary:    View GPU utilization of AMD/ATI Radeon devices
Name:       radeontop
Version:    0.9
Release:    2%{?checkout}%{?dist}
License:    GPLv3
URL:        https://github.com/clbr/%{name}

Source0:    %{url}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires: asciidoc gettext
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(pciaccess)
BuildRequires: pkgconfig(libdrm)

%description
RadeonTop shows the utilization of your GPU, both in general and by blocks.

Supported cards are R600 and up.


%prep
%setup -q -n %{name}-%{commit}
mkdir .git

%build
# configure doesn't exist, but we need the exported CFLAGS and friends
%configure || :

# plain=1 prevents stripping
# CC="..." to also pass -g
# Upstream patch: https://github.com/clbr/radeontop/pull/8
make all %{?_smp_mflags} PREFIX=%{_prefix} plain=1 CC="gcc -g"


%install
make install PREFIX=%{_prefix} DESTDIR=%{buildroot}
%find_lang %{name}


%files -f %{name}.lang
%doc README.md 
%license COPYING
%{_sbindir}/radeontop
%{_mandir}/man1/radeontop.1*


%changelog
* Fri May 27 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 0.9-2.20160527git2047d13
- Fix Changelog in prescribed format.
- Remove obsolete Group field from spec

* Fri May 27 2016 Luya Tshimbalanga <luya@fedoraproject.org> - 0.9-1.20160527git2047d13
- Update to upstream 0.9

* Sun Feb 15 2015 Fabian Deutsch <fabiand@fedoraproject.org> - 0.8-1.20150215git281462c
- Update to upstream 0.8

* Thu Apr 24 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.7-2.20140421giteadc100
- Fix commit position, BuildRequirements, build, and man page inclusion (thanks mschwendt)

* Mon Apr 21 2014 Fabian Deutsch <fabiand@fedoraproject.org> - 0.7-1.20140421giteadc100
- Initial package

